> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Refunds for Order

GET https://api.bigcommerce.com/stores/{store_hash}/v3/orders/{order_id}/payment_actions/refunds

Returns a list of refunds ordered by refund ID in ascending order for the given order.

Requires at least one of the following scopes:
* `store_v2_transactions_read_only`
* `store_v2_transactions`
* `store_v2_orders_read_only`
* `store_v2_orders`

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/order-operations/payment-actions/get-order-refunds

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Order Transactions | read and modify `transactions` and `payment_methods` | `store_v2_transactions` | | Order Transactions | read `transactions` and `payment_methods` | `store_v2_transactions_read_only` | | Orders | read and modify `payment_methods` |`store_v2_orders`| | Orders | read `payment_methods` |`store_v2_orders_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `order_id` (integer, required) — The ID of the `Order` to which the transactions belong.
- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `transaction_id` (string, optional) — Filters by refund payment using the BigCommerce `transaction_id`.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

A list of refunds.

- `data` (list of Refund, optional) — Collection of Refunds
- `meta` (metaEmpty_Full, optional) — Response metadata.

## Types

### Refund

- `id` (integer, optional) — Refund resource ID.
- `order_id` (integer, optional) — Reference to order ID.
- `user_id` (integer, optional) — Reference to the userʼs ID who create this refund. This is automatically populated by BigCommerce.
- `created` (datetime, optional) — Timestamp of when this refund was created.
- `reason` (string, optional) — Reason for refund.
- `total_amount` (float, optional) — A non-negative 2 decimal place rounded value that represents the amount that can be charged/refunded with payment providers. When creating refunds and refund quotes, this field becomes irrelevant when you select PRODUCT or GIFT_WRAPPING for `item_type`.
- `total_tax` (double, optional) — Total tax amount refunded back to the shopper. Note: `order_level_amount` does not affect tax liability. This can be a negative amount indicating we have collected tax by refunding less to the customer.
- `uses_merchant_override_values` (boolean, optional) — Whether refund amount and tax are provided explicitly by merchant override.
- `items` (list of RefundItem, optional) — Array of items refunded. In cases when `tax_refund_adjustment` was used to create the refund, this array will be empty.
- `payments` (list of RefundPayment, optional) — An array of refund payments made to payment providers.

### metaEmpty_Full

Response metadata.

### RefundItem

- `item_type` (enum, optional) — Type of item that was refunded.
  - Allowed values: `PRODUCT`, `GIFT_WRAPPING`, `SHIPPING`, `HANDLING`, `ORDER`, `FEE`
- `item_id` (integer, optional) — order_product.id corresponding to the item_types of PRODUCT, GIFT_WRAPPING. order_address.id corresponding to the item_types of SHIPPING, HANDLING. order.id corresponding to the item_type of ORDER.
- `reason` (string, optional) — Reason for refunding an item.
- `quantity` (integer, optional) — Quantity of item refunded. Note: this will only be populated for item_type PRODUCT
- `adjustments` (list of RefundItemAdjustment, optional) — Adjustments to apply to the refunded amount for an item. Only supported for item_type PRODUCT
- `requested_amount` (float, optional) — A non-negative 2 decimal place rounded value that represents the amount that can be charged/refunded with payment providers. When creating refunds and refund quotes, this field becomes irrelevant when you select PRODUCT or GIFT_WRAPPING for `item_type`.

### RefundPayment

- `id` (integer, optional) — Reference to refund payment ID.
- `provider_id` (string, optional) — Reference to payment provider.
- `amount` (float, optional) — A non-negative 2 decimal place rounded value that represents the amount that can be charged/refunded with payment providers. When creating refunds and refund quotes, this field becomes irrelevant when you select PRODUCT or GIFT_WRAPPING for `item_type`.
- `offline` (boolean, optional) — Indicate whether payment was offline.
- `is_declined` (boolean, optional) — Indicate if this payment has been declined by payment provider.
- `declined_message` (string, optional) — Message indicate why payment was declined.
- `transaction_id` (string, optional) — The BigCommerce `transaction_id`.

### RefundItemAdjustment

Use to reduce the amount refunded for an item.

- `amount` (float, optional) — A negative 2 decimal place rounded value to deduct from the amount refunded.
- `description` (string, optional) — Description of reason for the adjustment.

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "order_id": 1,
      "user_id": 1,
      "created": "2024-01-15T09:30:00Z",
      "reason": "string",
      "total_amount": 1.99,
      "total_tax": 1.1,
      "uses_merchant_override_values": true,
      "items": [
        {
          "item_type": "PRODUCT",
          "item_id": 1,
          "reason": "string",
          "quantity": 1,
          "adjustments": [
            {
              "amount": -10.2,
              "description": "Service fee"
            }
          ],
          "requested_amount": 1.99
        }
      ],
      "payments": [
        {
          "id": 1,
          "provider_id": "storecredit",
          "amount": 1.99,
          "offline": true,
          "is_declined": true,
          "declined_message": "string",
          "transaction_id": "1234"
        }
      ]
    }
  ],
  "meta": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/orders/1/payment_actions/refunds")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```